Loading...
Searching...
No Matches
Halide::Runtime::Internal::StringTable Class Reference

`#include <string_table.h>`

## Public Member Functions

| StringTable (const StringTable &)=delete
StringTable & | operator= (const StringTable &)=delete
| StringTable (const SystemMemoryAllocatorFns &allocator=StringStorage::default_allocator())
| StringTable (void *user_context, size_t capacity, const SystemMemoryAllocatorFns &allocator=StringStorage::default_allocator())
| StringTable (void *user_context, const char **array, size_t count, const SystemMemoryAllocatorFns &allocator=StringStorage::default_allocator())
| ~StringTable ()
void | resize (void *user_context, size_t capacity)
void | destroy (void *user_context)
void | clear (void *user_context)
void | fill (void *user_context, const char **array, size_t count)
void | assign (void *user_context, size_t index, const char *str, size_t length=0)
void | append (void *user_context, const char *str, size_t length=0)
void | prepend (void *user_context, const char *str, size_t length=0)
size_t | parse (void *user_context, const char *str, const char *delim)
const char * | operator[] (size_t index) const
const char ** | data () const
bool | contains (const char *str) const
size_t | size () const

## Detailed Description

Definition at line 15 of file string_table.h.

## Constructor & Destructor Documentation

## StringTable() [1/4]

Halide::Runtime::Internal::StringTable::StringTable | ( | const StringTable & |  | ) |

delete

References StringTable().

Referenced by operator=(), and StringTable().

## StringTable() [2/4]

Halide::Runtime::Internal::StringTable::StringTable | ( | const SystemMemoryAllocatorFns & | allocator = StringStorage::default_allocator() | ) |

explicit

Definition at line 65 of file string_table.h.

## StringTable() [3/4]

Halide::Runtime::Internal::StringTable::StringTable | ( | void * | user_context,
|  | size_t | capacity,
|  | const SystemMemoryAllocatorFns & | allocator = StringStorage::default_allocator() )

Definition at line 71 of file string_table.h.

References resize().

## StringTable() [4/4]

Halide::Runtime::Internal::StringTable::StringTable | ( | void * | user_context,
|  | const char ** | array,
|  | size_t | count,
|  | const SystemMemoryAllocatorFns & | allocator = StringStorage::default_allocator() )

Definition at line 79 of file string_table.h.

References fill().

## ~StringTable()

Halide::Runtime::Internal::StringTable::~StringTable | ( |  | ) |

Definition at line 85 of file string_table.h.

References destroy().

## Member Function Documentation

## operator=()

StringTable & Halide::Runtime::Internal::StringTable::operator= | ( | const StringTable & |  | ) |

delete

References Halide::Runtime::Internal::StringStorage::default_allocator(), and StringTable().

## resize()

void Halide::Runtime::Internal::StringTable::resize | ( | void * | user_context,
|  | size_t | capacity )

Definition at line 89 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::create().

Referenced by fill(), parse(), and StringTable().

## destroy()

void Halide::Runtime::Internal::StringTable::destroy | ( | void * | user_context | ) |

Definition at line 108 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::destroy().

Referenced by ~StringTable().

## clear()

void Halide::Runtime::Internal::StringTable::clear | ( | void * | user_context | ) |

Definition at line 98 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::destroy().

## fill()

void Halide::Runtime::Internal::StringTable::fill | ( | void * | user_context,
|  | const char ** | array,
|  | size_t | count )

Definition at line 125 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::assign(), Halide::Runtime::Internal::StringStorage::data(), and resize().

Referenced by StringTable().

## assign()

void Halide::Runtime::Internal::StringTable::assign | ( | void * | user_context,
|  | size_t | index,
|  | const char * | str,
|  | size_t | length = 0 )

Definition at line 134 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::assign(), Halide::Runtime::Internal::StringStorage::data(), and Halide::Runtime::Internal::strlen().

## append()

void Halide::Runtime::Internal::StringTable::append | ( | void * | user_context,
|  | const char * | str,
|  | size_t | length = 0 )

Definition at line 145 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::assign(), Halide::Runtime::Internal::StringStorage::create(), and Halide::Runtime::Internal::StringStorage::data().

## prepend()

void Halide::Runtime::Internal::StringTable::prepend | ( | void * | user_context,
|  | const char * | str,
|  | size_t | length = 0 )

Definition at line 152 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::assign(), Halide::Runtime::Internal::StringStorage::create(), and Halide::Runtime::Internal::StringStorage::data().

## parse()

size_t Halide::Runtime::Internal::StringTable::parse | ( | void * | user_context,
|  | const char * | str,
|  | const char * | delim )

Definition at line 159 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::assign(), Halide::Runtime::Internal::StringUtils::count_tokens(), Halide::Runtime::Internal::StringStorage::data(), Halide::Runtime::Internal::StringUtils::is_empty(), resize(), Halide::Runtime::Internal::strlen(), and strstr().

## operator[]()

const char * Halide::Runtime::Internal::StringTable::operator[] | ( | size_t | index | ) | const

Definition at line 118 of file string_table.h.

## data()

const char ** Halide::Runtime::Internal::StringTable::data | ( |  | ) | const

Definition at line 205 of file string_table.h.

## contains()

bool Halide::Runtime::Internal::StringTable::contains | ( | const char * | str | ) | const

Definition at line 191 of file string_table.h.

References Halide::Runtime::Internal::StringStorage::contains(), and Halide::Runtime::Internal::StringUtils::is_empty().

## size()

size_t Halide::Runtime::Internal::StringTable::size | ( |  | ) | const

inline

Definition at line 54 of file string_table.h.

The documentation for this class was generated from the following file:

- src/runtime/internal/string_table.h